omized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/etc/guix-gc.service.in?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='58e268c2e30567f415fa4e02086e49299c31406a'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=58e268c2e30567f415fa4e02086e49299c31406a'>refs</a><a href='/guix/log/etc/guix-gc.service.in'>log</a><a href='/guix/tree/etc/guix-gc.service.in?id=58e268c2e30567f415fa4e02086e49299c31406a'>tree</a><a class='active' href='/guix/commit/etc/guix-gc.service.in?id=58e268c2e30567f415fa4e02086e49299c31406a'>commit</a><a href='/guix/diff/etc/guix-gc.service.in?id=58e268c2e30567f415fa4e02086e49299c31406a'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/etc/guix-gc.service.in'>
<input type='hidden' name='id' value='58e268c2e30567f415fa4e02086e49299c31406a'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/commit/?id=58e268c2e30567f415fa4e02086e49299c31406a'>root</a>/<a href='/guix/commit/etc?id=58e268c2e30567f415fa4e02086e49299c31406a'>etc</a>/<a href='/guix/commit/etc/guix-gc.service.in?id=58e268c2e30567f415fa4e02086e49299c31406a'>guix-gc.service.in</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='id' value='58e268c2e30567f415fa4e02086e49299c31406a'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><select name='context' onchange='this.form.submit();'><option value='1'>1</option><option value='2'>2</option><option value='3' selected='selected'>3</option><option value='4'>4</option><option value='5'>5</option><option value='6'>6</option><option value='7'>7</option><option value='8'>8</option><option value='9'>9</option><option value='10'>10</option><option value='15'>15</option><option value='20'>20</option><option value='25'>25</option><option value='30'>30</option><option value='35'>35</option><option value='40'>40</option></select></td></tr><tr><td class='label'>space:</td><td class='ctrl'><select name='ignorews' onchange='this.form.submit();'><option value='0' selected='selected'>include</option><option value='1'>ignore</option></select></td></tr><tr><td class='label'>mode:</td><td class='ctrl'><select name='dt' onchange='this.form.submit();'><option value='0' selected='selected'>unified</option><option value='1'>ssdiff</option><option value='2'>stat only</option></select></td></tr><tr><td/><td class='ctrl'><noscript><input type='submit' value='reload'/></noscript></td></tr></table></form></div><table summary='commit info' class='commit-info'>
<tr><th>author</th><td>Ludovic Courtès &lt;ludo@gnu.org&gt;</td><td class='right'>2024-07-02 14:52:07 +0200</td></tr>
<tr><th>committer</th><td>Ludovic Courtès &lt;ludo@gnu.org&gt;</td><td class='right'>2024-07-18 17:31:19 +0200</td></tr>
<tr><th>commit</th><td colspan='2' class='oid'><a href='/guix/commit/etc/guix-gc.service.in?id=58e268c2e30567f415fa4e02086e49299c31406a'>58e268c2e30567f415fa4e02086e49299c31406a</a> (<a href='/guix/patch/etc/guix-gc.service.in?id=58e268c2e30567f415fa4e02086e49299c31406a'>patch</a>)</td></tr>
<tr><th>tree</th><td colspan='2' class='oid'><a href='/guix/tree/?id=58e268c2e30567f415fa4e02086e49299c31406a'>9196015a611d25d85118876da08b40aaa51b0df3</a> /<a href='/guix/tree/etc/guix-gc.service.in?id=58e268c2e30567f415fa4e02086e49299c31406a'>etc/guix-gc.service.in</a></td></tr>
<tr><th>parent</th><td colspan='2' class='oid'><a href='/guix/commit/etc/guix-gc.service.in?id=fcd3c5d3aa2894218f357d69f7a307ebc3b318bc'>fcd3c5d3aa2894218f357d69f7a307ebc3b318bc</a> (<a href='/guix/diff/etc/guix-gc.service.in?id=58e268c2e30567f415fa4e02086e49299c31406a&amp;id2=fcd3c5d3aa2894218f357d69f7a307ebc3b318bc'>diff</a>)</td></tr><tr><th>download</th><td colspan='2' class='oid'><a href='/guix/snapshot/guix-58e268c2e30567f415fa4e02086e49299c31406a.tar.gz'>guix-58e268c2e30567f415fa4e02086e49299c31406a.tar.gz</a><br/><a href='/guix/snapshot/guix-58e268c2e30567f415fa4e02086e49299c31406a.zip'>guix-58e268c2e30567f415fa4e02086e49299c31406a.zip</a><br/></td></tr></table>
<div class='commit-subject'>git: Remove untracked files from cached checkouts.</div><div class='commit-msg'>Cached checkouts could end up with stale untracked files, for example
because the checkout was interrupted.  As a result, when this happens
for the Guix checkout, users would not get substitutes for ‘guix pull’.

* guix/git.scm (delete-untracked-files): New procedure.
(switch-to-ref): Use it.
* tests/git.scm ("update-cached-checkout, untracked files removed"): New
test.

Co-authored-by: Ricardo Wurmus &lt;rekado@elephly.net&gt;
Change-Id: Iccbe644ade396ad27a037db7e0ef1c2a68ef91ce
</div><div class='diffstat-header'><a href='/guix/diff/?id=58e268c2e30567f415fa4e02086e49299c31406a'>Diffstat</a> (limited to 'etc/guix-gc.service.in')</div><table summary='diffstat' class='diffstat'></table><div class='diffstat-summary'>0 files changed, 0 insertions, 0 deletions</div><table summary='diff' class='diff'><tr><td></td></tr></table></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
